> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List widgets

> Lists all widgets for the authenticated user



## OpenAPI

````yaml /api-reference/oda-widget-service-1.0.0.yml get /widgets
openapi: 3.0.1
info:
  title: ODA Widget Service
  description: ODA Widget Service
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /widgets:
    get:
      summary: List widgets
      description: Lists all widgets for the authenticated user
      operationId: list
      responses:
        '200':
          description: Widgets retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WidgetDto'
        '401':
          description: Unauthorized
components:
  schemas:
    WidgetDto:
      required:
        - config
        - deleted
        - enabled
        - id
        - name
        - ownerId
        - sortOrder
        - type
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        sortOrder:
          type: integer
          format: int32
        name:
          type: string
        ownerId:
          type: string
        config:
          type: object
          additionalProperties:
            type: object
        enabled:
          type: boolean
        deleted:
          type: boolean

````